;| Convert Fields from selected objects to Text
   modified from Convert Fields to Text in Paper Space by: Ian_Bryant
http://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/convert-field-to-text/td-p/1722015 |;
(defun C:R-FIELDS ( / del-field ss1 index item)
  (vl-load-com)
  (defun del-field (ent / edic elist etype obj val)
   (if
     (and
      (setq edic (cdr (assoc 360 (setq elist (entget ent)))))
      (dictsearch edic "ACAD_FIELD")
     )
     (progn
       (setq obj (vlax-ename->vla-object ent)
             etype (cdr (assoc 0 elist))
      )
      (cond
        ((= etype "DIMENSION")
         (setq val (vla-get-textoverride obj))
         (dictremove edic "ACAD_FIELD")
         (vla-put-textoverride obj val)
        )
        ((= etype "MTEXT")
         (setq val (vla-get-textstring obj))
         (dictremove edic "ACAD_FIELD")
         (vla-put-textstring obj val)
        )
        (T (dictremove edic "ACAD_FIELD"))
      )
    )
   )
  )
  (if
    (setq ss1
      (ssget '((0 . "TEXT,MTEXT,MULTILEADER,DIMENSION,INSERT")))
    )
    (progn
     (setq index 0)
     (repeat (sslength ss1)
       (setq item (ssname ss1 index))
       (if(=(cdr(assoc 0(entget item))) "INSERT")
         (while (= (cdr (assoc 0 (entget (setq item (entnext item))))) "ATTRIB")
           (if (del-field item) (entupd item))
         )
         (if (del-field item) (entupd item))
       )
       (setq index (+ 1 index))
     )
    )
  )
  (princ)
)